{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}
<div class="col-md-12">
    <div class="content-box-large">
        <div class="panel-heading">
          <div class="panel-title">{{'Product list'}}</div>
          
          <div class="panel-options">
              <a href="{{path('products_add')}}" data-rel="collapse"><i class="fa fa-plus"></i></a>
              <a href="{{path('products_restore')}}" data-rel="collapse"><i class="fas fa-undo-alt"></i></a>
          </div>
      </div>
        <div class="panel-body">
            <div class="table-responsive">
            <table class="table table-striped">
            <thead>
              <tr>
                <th>#</th>
                <th>{{'Image'|trans}}</th>
                <th>{{'Title'|trans}}</th>
                <th>{{'Qty'|trans}}</th>
                <th>{{'Buy price'|trans}}</th>
                <th>{{'Sell price'|trans}}</th>
                <th>{{'Deleted at'|trans}}</th>
                <th>{{'Actions'|trans}}</th>
              </tr>
            </thead>
            <tbody>
             {% for product in products %} 
              <tr>
                <td>
                  {{product.id}}
                </td>
                <td>
                    <img src="{{asset(product.getImage(uploadsDir))}}" style="max-width:50px"/>
                </td>
                <td>
                  {{product.title}}
                </td>

                <td>
                    {{product.qty}}
                </td>

                <td>
                  {{product.getFormattedBuyPrice(default_currency_symbol)|raw}}
              </td>

              <td>
                  {{product.getFormattedSellPrice(default_currency_symbol)|raw}}
              </td>

            
                <td>
                  {{product.getDeletedAt()|date('d.m.Y H:i')}}
                </td>
                <td>
                    <a href="{{path('products_item_restore',{
                        id:product.id
                    })}}">
                        <i class="fa fa-undo-alt"></i>
                    </a>
                    
                </td>
            </tr>
            {% endfor %}
            </tbody>
          </table>
          </div>
          {{knp_pagination_render(products)}}
        </div>
    </div>
</div>
{% endblock %}

